(* ----------------------------------------------------------------------
   $Id: OPR.i3,v 1.2 1995/02/24 22:28:30 sgp13 Exp $

   This interface is called by the CPU.
   It is exported both by InterpretedOPR.m3 and PreCompiledOPR.m3

   This allows the choice of OPR implementation to be chosen at compile
   time by using the required module. This is done by defining the correct
   value on invocation of m3build.
   ----------------------------------------------------------------------

   $Log: OPR.i3,v $
# Revision 1.2  1995/02/24  22:28:30  sgp13
# CPUdata renamed CPU
#
# Revision 1.1  1995/02/10  12:19:47  sgp13
# Initial revision
#

   ---------------------------------------------------------------------- *)
INTERFACE OPR;

IMPORT CPU;

PROCEDURE Implement(operand : CPU.Operand; self : CPU.T);

END OPR.
