(* ----------------------------------------------------------------------
   $Id: GUISwitchRegister.i3,v 1.2 1995/06/23 07:52:29 sgp13 Exp $

   The procedures to manipulate the GUI switch register
   ModuleInit must be called before use to set up a pointer to the CPU object
   ----------------------------------------------------------------------

   $Log: GUISwitchRegister.i3,v $
# Revision 1.2  1995/06/23  07:52:29  sgp13
# Update forced
#
# Revision 1.1  1995/03/23  09:47:22  sgp13
# Initial revision
#

   ---------------------------------------------------------------------- *)
INTERFACE GUISwitchRegister;

IMPORT FormsVBT, VBT;
IMPORT CPU;


PROCEDURE ModuleInit(object : CPU.T);
PROCEDURE BitZeroOn(<* UNUSED *> form : FormsVBT.T := NIL;
                 <* UNUSED *> event : TEXT := NIL;
                 <* UNUSED *> data : REFANY := NIL;
                 <* UNUSED *> time : VBT.TimeStamp := 0);
PROCEDURE BitZeroOff(<* UNUSED *> form : FormsVBT.T := NIL;
                 <* UNUSED *> event : TEXT := NIL;
                 <* UNUSED *> data : REFANY := NIL;
                 <* UNUSED *> time : VBT.TimeStamp := 0);
PROCEDURE BitOneOn(<* UNUSED *> form : FormsVBT.T := NIL;
                 <* UNUSED *> event : TEXT := NIL;
                 <* UNUSED *> data : REFANY := NIL;
                 <* UNUSED *> time : VBT.TimeStamp := 0);
PROCEDURE BitOneOff(<* UNUSED *> form : FormsVBT.T := NIL;
                 <* UNUSED *> event : TEXT := NIL;
                 <* UNUSED *> data : REFANY := NIL;
                 <* UNUSED *> time : VBT.TimeStamp := 0);
PROCEDURE BitTwoOn(<* UNUSED *> form : FormsVBT.T := NIL;
                 <* UNUSED *> event : TEXT := NIL;
                 <* UNUSED *> data : REFANY := NIL;
                 <* UNUSED *> time : VBT.TimeStamp := 0);
PROCEDURE BitTwoOff(<* UNUSED *> form : FormsVBT.T := NIL;
                 <* UNUSED *> event : TEXT := NIL;
                 <* UNUSED *> data : REFANY := NIL;
                 <* UNUSED *> time : VBT.TimeStamp := 0);
PROCEDURE BitThreeOn(<* UNUSED *> form : FormsVBT.T := NIL;
                 <* UNUSED *> event : TEXT := NIL;
                 <* UNUSED *> data : REFANY := NIL;
                 <* UNUSED *> time : VBT.TimeStamp := 0);
PROCEDURE BitThreeOff(<* UNUSED *> form : FormsVBT.T := NIL;
                 <* UNUSED *> event : TEXT := NIL;
                 <* UNUSED *> data : REFANY := NIL;
                 <* UNUSED *> time : VBT.TimeStamp := 0);
PROCEDURE BitFourOn(<* UNUSED *> form : FormsVBT.T := NIL;
                 <* UNUSED *> event : TEXT := NIL;
                 <* UNUSED *> data : REFANY := NIL;
                 <* UNUSED *> time : VBT.TimeStamp := 0);
PROCEDURE BitFourOff(<* UNUSED *> form : FormsVBT.T := NIL;
                 <* UNUSED *> event : TEXT := NIL;
                 <* UNUSED *> data : REFANY := NIL;
                 <* UNUSED *> time : VBT.TimeStamp := 0);
PROCEDURE BitFiveOn(<* UNUSED *> form : FormsVBT.T := NIL;
                 <* UNUSED *> event : TEXT := NIL;
                 <* UNUSED *> data : REFANY := NIL;
                 <* UNUSED *> time : VBT.TimeStamp := 0);
PROCEDURE BitFiveOff(<* UNUSED *> form : FormsVBT.T := NIL;
                 <* UNUSED *> event : TEXT := NIL;
                 <* UNUSED *> data : REFANY := NIL;
                 <* UNUSED *> time : VBT.TimeStamp := 0);
PROCEDURE BitSixOn(<* UNUSED *> form : FormsVBT.T := NIL;
                 <* UNUSED *> event : TEXT := NIL;
                 <* UNUSED *> data : REFANY := NIL;
                 <* UNUSED *> time : VBT.TimeStamp := 0);
PROCEDURE BitSixOff(<* UNUSED *> form : FormsVBT.T := NIL;
                 <* UNUSED *> event : TEXT := NIL;
                 <* UNUSED *> data : REFANY := NIL;
                 <* UNUSED *> time : VBT.TimeStamp := 0);
PROCEDURE BitSevenOn(<* UNUSED *> form : FormsVBT.T := NIL;
                 <* UNUSED *> event : TEXT := NIL;
                 <* UNUSED *> data : REFANY := NIL;
                 <* UNUSED *> time : VBT.TimeStamp := 0);
PROCEDURE BitSevenOff(<* UNUSED *> form : FormsVBT.T := NIL;
                 <* UNUSED *> event : TEXT := NIL;
                 <* UNUSED *> data : REFANY := NIL;
                 <* UNUSED *> time : VBT.TimeStamp := 0);
PROCEDURE BitEightOn(<* UNUSED *> form : FormsVBT.T := NIL;
                 <* UNUSED *> event : TEXT := NIL;
                 <* UNUSED *> data : REFANY := NIL;
                 <* UNUSED *> time : VBT.TimeStamp := 0);
PROCEDURE BitEightOff(<* UNUSED *> form : FormsVBT.T := NIL;
                 <* UNUSED *> event : TEXT := NIL;
                 <* UNUSED *> data : REFANY := NIL;
                 <* UNUSED *> time : VBT.TimeStamp := 0);
PROCEDURE BitNineOn(<* UNUSED *> form : FormsVBT.T := NIL;
                 <* UNUSED *> event : TEXT := NIL;
                 <* UNUSED *> data : REFANY := NIL;
                 <* UNUSED *> time : VBT.TimeStamp := 0);
PROCEDURE BitNineOff(<* UNUSED *> form : FormsVBT.T := NIL;
                 <* UNUSED *> event : TEXT := NIL;
                 <* UNUSED *> data : REFANY := NIL;
                 <* UNUSED *> time : VBT.TimeStamp := 0);
PROCEDURE BitTenOn(<* UNUSED *> form : FormsVBT.T := NIL;
                 <* UNUSED *> event : TEXT := NIL;
                 <* UNUSED *> data : REFANY := NIL;
                 <* UNUSED *> time : VBT.TimeStamp := 0);
PROCEDURE BitTenOff(<* UNUSED *> form : FormsVBT.T := NIL;
                 <* UNUSED *> event : TEXT := NIL;
                 <* UNUSED *> data : REFANY := NIL;
                 <* UNUSED *> time : VBT.TimeStamp := 0);
PROCEDURE BitElevenOn(<* UNUSED *> form : FormsVBT.T := NIL;
                 <* UNUSED *> event : TEXT := NIL;
                 <* UNUSED *> data : REFANY := NIL;
                 <* UNUSED *> time : VBT.TimeStamp := 0);
PROCEDURE BitElevenOff(<* UNUSED *> form : FormsVBT.T := NIL;
                 <* UNUSED *> event : TEXT := NIL;
                 <* UNUSED *> data : REFANY := NIL;
                 <* UNUSED *> time : VBT.TimeStamp := 0);

END GUISwitchRegister.


