(* ----------------------------------------------------------------------
   $Id$

   Utility procedures for MemMake program
   ----------------------------------------------------------------------

   $Log$

   ---------------------------------------------------------------------- *)
INTERFACE Utils;

IMPORT Rd, Wr;
IMPORT Memory;

EXCEPTION CommandSyntax;
EXCEPTION FilesNotOpened;
EXCEPTION LineSyntax;

(* ----------------------------------------------------------------------
   Procedure : AnalyseCommand

   Analyse the command line and open the files, returning the file streams
   to the caller.
   ---------------------------------------------------------------------- *)
PROCEDURE AnalyseCommand(VAR source : Rd.T; VAR destination : Wr.T);


(* ----------------------------------------------------------------------
   Procedure : ProcessLine

   Process a line from the input file
   ---------------------------------------------------------------------- *)
PROCEDURE ProcessLine(line : TEXT; memory : Memory.T);

END Utils.






